﻿using Infragistics.UltraChart.Shared.Styles;
using Infragistics.WebUI.UltraWebChart;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KB9474_UltraChart_YAxisRange_WebApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["chartData"] == null)
            {
                DataTable chartData = new DataTable();

                // 列と列名を定義します。
                chartData.Columns.Add("Series Labels", typeof(string));
                chartData.Columns.Add("Column A", typeof(int));
                chartData.Columns.Add("Column B", typeof(int));
                chartData.Columns.Add("Column C", typeof(int));
                chartData.Columns.Add("Column D", typeof(int));

                // データの行を追加します。
                chartData.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
                chartData.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
                chartData.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
                chartData.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });

                Session["chartData"] = chartData;
            }

            UltraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear;
            Color[] ChartColors;
            ChartColors = new Color[] { Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Indigo, Color.Violet };
            UltraChart1.ColorModel.CustomPalette = ChartColors;

            UltraChart1.DataSource = Session["chartData"];
            UltraChart1.DataBind();

            UltraChart1.Axis.Y.RangeType = AxisRangeType.Custom;
            UltraChart1.Axis.Y.RangeMin = 0;
            UltraChart1.Axis.Y.RangeMax = 20;
        }
    }
}